body splash-screen {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  position: fixed;
  inset: 0;
  z-index: 999999;
  pointer-events: none;
  opacity: 1;
  visibility: visible;
  transition: opacity 400ms cubic-bezier(0.4, 0, 0.2, 1);
  background-color: white;
}

body splash-screen img {
  width: 5rem;
  height: 5rem;
}

body:not(.splash-screen-hidden) {
  overflow: hidden;
}

body.splash-screen-hidden splash-screen {
  visibility: hidden;
  opacity: 0;
}
